> ## Documentation Index
> Fetch the complete documentation index at: https://docs.loyalty.dog/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Settings For Pass Template

> ### Update Payment Settings for Pass Template

Update the payment settings of the pass template.

**Parameters:**
- `payment` (TemplatePayment): The updated payment settings data.
- `template` (Template): The pass template.

**Returns:**
- `dict`: The updated payment settings of the pass template.



## OpenAPI

````yaml https://api.loyalty.dog/openapi.json put /v2/templates/{templateId}/payment
openapi: 3.1.0
info:
  title: LoyaltyDog
  description: >-

    Welcome to the LoyaltyDog API! This API provides access to our loyalty
    program features, allowing you to integrate with various platforms and
    manage your loyalty data.


    Want to query LoyaltyDog via an AI assistant (Claude, Cursor, Windsurf)? See
    the [MCP Integration guide](https://loyaltydog.ai/playground#mcp).
        
  termsOfService: https://loyalty.dog/loyalty-program-terms-service
  contact:
    name: LoyaltyDog Support
    url: https://loyalty.dog/contact-us
    email: support@loyalty.dog
  version: 1.0.1
servers:
  - url: https://api.loyalty.dog
    description: Production
security:
  - bearerAuth: []
paths:
  /v2/templates/{templateId}/payment:
    put:
      tags:
        - Pass Templates > Payment
      summary: Update Payment Settings For Pass Template
      description: |-
        ### Update Payment Settings for Pass Template

        Update the payment settings of the pass template.

        **Parameters:**
        - `payment` (TemplatePayment): The updated payment settings data.
        - `template` (Template): The pass template.

        **Returns:**
        - `dict`: The updated payment settings of the pass template.
      operationId: >-
        update_payment_settings_for_pass_template_v2_templates__templateId__payment_put
      parameters:
        - name: templateId
          in: path
          required: true
          schema:
            anyOf:
              - $ref: '#/components/schemas/PydanticObjectId'
              - type: string
            title: Templateid
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TemplatePayment'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PydanticObjectId:
      type: string
      maxLength: 24
      minLength: 24
      pattern: ^[0-9a-f]{24}$
      example: 5eb7cf5a86d9755df3a6c593
    TemplatePayment:
      properties:
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        price:
          anyOf:
            - type: number
            - type: 'null'
          title: Price
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        provider:
          anyOf:
            - $ref: '#/components/schemas/TemplatePaymentProvider'
            - type: 'null'
        providerSettings:
          anyOf:
            - $ref: '#/components/schemas/TemplatePaymentSettings'
            - type: 'null'
      type: object
      title: TemplatePayment
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TemplatePaymentProvider:
      type: string
      enum:
        - PayPalNVP
        - Stripe
        - PAYMILL
      title: TemplatePaymentProvider
    TemplatePaymentSettings:
      properties:
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: Username
        password:
          anyOf:
            - type: string
            - type: 'null'
          title: Password
        signature:
          anyOf:
            - type: string
            - type: 'null'
          title: Signature
        sandbox:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Sandbox
        itemName:
          anyOf:
            - type: string
            - type: 'null'
          title: Itemname
        publishableKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Publishablekey
        secretKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Secretkey
        publicKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Publickey
        privateKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Privatekey
      type: object
      title: TemplatePaymentSettings
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT access token obtained from POST /v2/token.

````